Issue 57807 - Insert file function from writer does not work for OOo file types
Summary: Insert file function from writer does not work for OOo file types
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-13 10:17 UTC by houix
Modified: 2017-05-20 11:18 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description houix 2005-11-13 10:17:42 UTC
Insert file function from writer insert menu does not work for OOo file types:
can not do: Insert -> insert files -> xxx.odg nothing happens
Comment 1 jolatt 2005-11-14 09:53:15 UTC
IMO is that only for Text-Files like .ODT, .TXT and so on.

Drawings and tables should be inserted as OLE-objects.
Comment 2 michael.ruess 2005-11-14 10:07:59 UTC
The insert.file command could be enhanced in that way, that non-Writer files are
inserted as OLE objects.
Comment 3 ace_dent 2008-05-16 01:40:56 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 jolatt 2008-05-16 06:33:27 UTC
No enhancing of the insert.file command (proposed by mru) as there is it in the
same menu. Could be irritating for some users.
There should come up a information, when a user tries to insert e.g. a
non-writer-file, that this should be done as OLE-object. In the moment there
happens nothing.
Comment 5 Mathias_Bauer 2009-05-25 12:41:49 UTC
"Insert file" should detect whether the file is a graphic, something that the
current application can import with a filter or something that any other OOo
application can insert with a filter. Depending on that the file should be
inserted as graphic, directly or as OLE object.
Comment 6 Marcus 2017-05-20 11:18:00 UTC
Reset assigne to the default "issues@openoffice.apache.org".